
Figure - Bug #117154
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开音乐小窗，切换至mini模式，再打开视频小窗->进入任务管理器点击音乐
卡片的小窗按钮，音乐小窗以Mini模式打开
2023-03-24 15:49 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在Task销毁时没有把config里面设置的bounds导致的

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开一个应用小窗（以音乐为例）

2、切换至mini模式

3、长按桌面上的另一应用图标（以视频为例）

4、进入任务管理器点击音乐卡片的小窗按钮

【预期结果】

4、音乐小窗以默认状态打开在默认位置

【实际结果】

4、音乐小窗以Mini模式打开

History

#1 - 2023-03-28 10:37 - CD FW-鲁凯峰

- Due date set to 2023-03-31

#2 - 2023-03-29 14:14 - CD FW-鲁凯峰

- Root cause set to 在Task销毁时没有把config里面设置的bounds导致的

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于在Task销毁时没有把config里面设置的bounds导致的

解决方法就是在Task销毁时把config还原成默认状态

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/190536
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/190536


#3 - 2023-03-29 14:15 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-04-01 15:37 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

4.1

验证通过

#5 - 2023-04-01 15:37 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-23 14-03-10.mp4 11.4 MB 2023-03-24 CD TEST-方永红
